Add a schedule to a snapshot policy
Adds a schedule to a snapshot policy, defining when and how often snapshots are taken on the volume. This helps manage and automate the process of capturing snapshots according to your specified schedule.
HTTP method and endpoint
POST /storage/snapshot-policies/{snapshot_policy.uuid}/schedules
Introduced in
ONTAP 9.8
Required properties
-
schedule.uuidorschedule.name- Schedule at which snapshots are captured on the volume. -
count- Number of snapshots to maintain for this schedule.
Recommended optional properties
-
prefix- Prefix to use when creating snapshots at regular intervals.
Default property values
If not specified in POST, the following default property values are assigned:
-
prefix- Value ofschedule.name
Related ONTAP commands
-
snapshot policy add-schedule
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
snapshot_policy.uuid |
string |
path |
True |
Snapshot policy UUID |
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
count |
integer |
The number of snapshots to maintain for this schedule. |
prefix |
string |
The prefix to use while creating snapshots at regular intervals. |
retention_period |
string |
The retention period of snapshots for this schedule. |
schedule |
||
snapmirror_label |
string |
Label for SnapMirror operations |
snapshot_policy |
This is a reference to the snapshot policy. |
Example request
{
"prefix": "string",
"retention_period": "string",
"schedule": {
"name": "weekly",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"snapmirror_label": "string",
"snapshot_policy": {
"name": "default",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
}
}
Response
Status: 201, Created
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
1638407 |
When adding schedule to a snapshot policy, the count for that schedule must be specified. |
1638410 |
Specified schedule already exists in snapshot policy. |
1638413 |
Schedule not found. |
1638451 |
This operation would result in total snapshot count for the policy to exceed maximum supported count. |
1638508 |
Another schedule has the same prefix within this policy. |
1638510 |
Duplicate prefix. |
1638528 |
This operation is not supported in a mixed-version cluster. |
1638531 |
This operation is not supported because specified policy is owned by the cluster admin. |
918253 |
Incorrect format for the retention period, duration must be in the ISO-8601 format. |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
schedule
| Name | Type | Description |
|---|---|---|
name |
string |
Job schedule name |
uuid |
string |
Job schedule UUID |
snapshot_policy
This is a reference to the snapshot policy.
| Name | Type | Description |
|---|---|---|
name |
string |
|
uuid |
string |
snapshot_policy_schedule
The snapshot policy schedule object is associated with a snapshot policy and it defines the interval at which snapshots are created and deleted.
| Name | Type | Description |
|---|---|---|
count |
integer |
The number of snapshots to maintain for this schedule. |
prefix |
string |
The prefix to use while creating snapshots at regular intervals. |
retention_period |
string |
The retention period of snapshots for this schedule. |
schedule |
||
snapmirror_label |
string |
Label for SnapMirror operations |
snapshot_policy |
This is a reference to the snapshot policy. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |